aboutsummaryrefslogtreecommitdiff
path: root/libgo
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2012-01-13 23:03:02 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2012-01-13 23:03:02 +0000
commitdaeae9f1962fe408495f786c2d29098e7b13b36b (patch)
treeb8e6b94ead010351d87bf7b873de3864e5f1117f /libgo
parent932c7744276a5917ed8e216ca400c72a70fea27e (diff)
downloadgcc-daeae9f1962fe408495f786c2d29098e7b13b36b.zip
gcc-daeae9f1962fe408495f786c2d29098e7b13b36b.tar.gz
gcc-daeae9f1962fe408495f786c2d29098e7b13b36b.tar.bz2
mksysinfo: Make sure EPOLL_CLOEXEC is defined.
From-SVN: r183168
Diffstat (limited to 'libgo')
-rwxr-xr-xlibgo/mksysinfo.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/libgo/mksysinfo.sh b/libgo/mksysinfo.sh
index ca9e5f68..f389795 100755
--- a/libgo/mksysinfo.sh
+++ b/libgo/mksysinfo.sh
@@ -193,10 +193,13 @@ grep '^const __PC' gen-sysinfo.go |
# epoll constants.
grep '^const _EPOLL' gen-sysinfo.go |
sed -e 's/^\(const \)_\(EPOLL[^= ]*\)\(.*\)$/\1\2 = _\2/' >> ${OUT}
-# Make sure EPOLLRDHUP is defined.
+# Make sure EPOLLRDHUP and EPOLL_CLOEXEC are defined.
if ! grep '^const EPOLLRDHUP' ${OUT} >/dev/null 2>&1; then
echo "const EPOLLRDHUP = 0x2000" >> ${OUT}
fi
+if ! grep '^const EPOLL_CLOEXEC' ${OUT} >/dev/null 2>&1; then
+ echo "const EPOLL_CLOEXEC = 02000000" >> ${OUT}
+fi
# Ptrace constants.
grep '^const _PTRACE' gen-sysinfo.go |